Subject: Re: devel/zlib question - exclusion
To: Jeroen Ruigrok/asmodai <>
From: Johnny Lam <>
List: tech-pkg
Date: 08/30/2005 11:14:41
Jeroen Ruigrok/asmodai wrote:
> DragonFly provides an up-to-date version of libz in the base system (1.2.3)
> along with the header files and such.
> Reading zlib's I get the idea that it should be able to deal with
> the file and detect whether I have that.
> Am I right that it should auto-handle or should I set something manually?

Yes, it should auto-handle it if possible.  As can be seen, 
zlib/ tries to figure out the version of zlib by parsing the 
ZLIB_VERSION symbol in the zlib.h header.  Is that not working for you?


	-- Johnny Lam <>